fddist(1m)

NAME
fddist - file descriptor usage distributions. Uses DTrace.

SYNOPSIS
fddist [-r|-w]

DESCRIPTION
This prints distributions for read and write events by file descriptor, by process. This can be used to determine which file descriptor a process is doing the most I/O with. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the syscall provider.

OPTIONS

-r  reads only

-w  writes only

EXAMPLES

Sample both read and write activity,
    # fddist

Sample reads only,
    # fddist -r

FIELDS

EXEC
    process name

PID process ID

value
    file descriptor

count
    number of events

BASED ON
/usr/demo/dtrace/lquantize.d

DOCUMENTATION
DTrace Guide "Aggregations" chapter (docs.sun.com) See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
fddist will sample until Ctrl-C is hit.

SEE ALSO
dtrace(1M)